<?php

namespace App\Repositories;

use App\Models\EntryTag;
use App\Repositories\BaseRepository;

/**
 * Class EntryTagRepository
 * @package App\Repositories
 * @version January 22, 2020, 3:57 am UTC
*/

class EntryTagRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return EntryTag::class;
    }
}
